Jump to content
MakeWebGames

Gangster Legends V2.4.0 - Pre Release


Recommended Posts

2 hours ago, Dayo said:

I will have to go and check the backwards compatibility with php 7 as that is more mainstream atm, not everyone is able to upgrade php so easily

tbh when i converted it to support PHP8 i didnt do alot of testing in php7 and if i did it would have been the latest version just before release of 8. if i remember correctly though i didnt add anything that is solely a PHP8 feature to try and keep backwards compatibility 

2 hours ago, AinzOoalGown said:

Awesome 🙂

This is a cool community with very helpful people. Engine is worth every penny as well.

Thanks URBANZ but didn't work. Tried to replace file with a fresh copy and upgrade PHP to version 8. After upgrading PHP I get a new error:

There was an error! File: /home/galactic/public_html/class/pageElement.php Line: 64 Error: Uncaught Error: Class "Handlebars\Handlebars" not found in /home/galactic/public_html/class/pageElement.php:64 Stack trace: #0 /home/galactic/public_html/class/pageElement.php(141): pageElement->templateToHTML('\n ...', Array) #1 /home/galactic/public_html/class/page.php(343): pageElement->parse() #2 /home/galactic/public_html/modules/installed/login/login.inc.php(21): page->buildElement('loginForm') #3 /home/galactic/public_html/class/module.php(30): login->constructModule() #4 /home/galactic/public_html/class/page.php(144): module->__construct() #5 /home/galactic/public_html/class/page.php(58): page->load('login') #6 /home/galactic/public_html/init.php(93): page->loadPage('login') #7 /home/galactic/public_html/index.php(5): require('/home/galactic/...') #8 {main} thrown Type: E_RECOVERABLE_ERROR

There was an error!
File: /home/galactic/public_html/class/pageElement.php
Line: 64
Error: Uncaught Error: Class "Handlebars\Handlebars" not found in /home/galactic/public_html/class/pageElement.php:64 Stack trace: #0 /home/galactic/public_html/class/pageElement.php(141): pageElement->templateToHTML('\n ...', Array) #1 /home/galactic/public_html/class/page.php(343): pageElement->parse() #2 /home/galactic/public_html/modules/installed/login/login.inc.php(21): page->buildElement('loginForm') #3 /home/galactic/public_html/class/module.php(30): login->constructModule() #4 /home/galactic/public_html/class/page.php(144): module->__construct() #5 /home/galactic/public_html/class/page.php(58): page->load('login') #6 /home/galactic/public_html/init.php(93): page->loadPage('login') #7 /home/galactic/public_html/index.php(5): require('/home/galactic/...') #8 {main} thrown
Type: E_RECOVERABLE_ERROR

 

EDIT: Seen your fix above for  "Handlebars\Handlebars" and after doing that looks like everything is working 😄 thanks. Will do more testing and report any bugs.

no problem glad it got the problem solved for you.

  • Thanks 1
Link to post
Share on other sites

When this is fully released will previous mods still be compatible or need changed in anyway? Such as will all the mods that were for V2 work in this version?

I got the V2 Premium previously, so just want to know if installing the "extra" mods that came with it will work. Just so I can prepare, as I am going to do a full fresh install and start a new with what I have learned 😛

Thanks

Link to post
Share on other sites
6 minutes ago, AinzOoalGown said:

When this is fully released will previous mods still be compatible or need changed in anyway? Such as will all the mods that were for V2 work in this version?

I got the V2 Premium previously, so just want to know if installing the "extra" mods that came with it will work. Just so I can prepare, as I am going to do a full fresh install and start a new with what I have learned 😛

Thanks

I’ll previous mods should be backwards compatible, I know my mods will be but I can’t say for certain others will 

Link to post
Share on other sites
3 hours ago, Sim said:

Premium isn't, but in the meantime you can download the free version to get yourself familiar with it.

Will this version have a premium? And if so will previous purchase of a premium version still count for this new premium version?

Edit: Cant believe I said premium and versions 3 times lol😛

  • Like 1
Link to post
Share on other sites
1 hour ago, AinzOoalGown said:

Will this version have a premium? And if so will previous purchase of a premium version still count for this new premium version?

Edit: Cant believe I said premium and versions 3 times lol😛

GLPremium will always support any version of GL V2.X.X And previous purchases get free updates to the latest version

  • Like 1
Link to post
Share on other sites
  • Dayo locked, unpinned, unfeatured and pinned this topic
Guest
This topic is now closed to further replies.
×
×
  • Create New...